Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.ide.inspector.util.property
Class RwiInspectorStringProperty

    java.lang.Object
      |
      +--java.beans.FeatureDescriptor
            |
            +--com.togethersoft.openapi.ide.inspector.IdeInspectorProperty
                  |
                  +--com.togethersoft.openapi.ide.inspector.util.property.RwiInspectorProperty
                        |
                        +--com.togethersoft.openapi.ide.inspector.util.property.RwiInspectorStringProperty

public class RwiInspectorStringProperty
extends RwiInspectorProperty

Suited to work with String properties of selected RwiElements.

Author:
  TogetherSoft

Fields inherited from class com.togethersoft.openapi.ide.inspector.util.property.RwiInspectorProperty
`myEnforceReadOnly, myPropertyName, myReadableFlag, myRwiPropertyMaps, myValue, myWritableFlag`

Fields inherited from class com.togethersoft.openapi.ide.inspector.IdeInspectorProperty
`MULTI_VALUE_TAG, PROP_VALUE, UNDEFINED_VALUE`

Constructor Summary
`` | `RwiInspectorStringProperty(RwiPropertyMap[] rwiPropertyMaps, String propertyName)` Constructs RwiInspectorStringProperty without a property editor class.
`` | `RwiInspectorStringProperty(RwiPropertyMap[] rwiPropertyMaps, String propertyName, Class editorClass)` Constructs RwiInspectorStringProperty with a property editor class.
`` | `RwiInspectorStringProperty(RwiPropertyMap rwiPropertyMap, String propertyName)` Constructs RwiInspectorStringProperty without a property editor class for the only RwiElement (RwiReference).
`` | `RwiInspectorStringProperty(RwiPropertyMap rwiPropertyMap, String propertyName, Class editorClass)` Constructs RwiInspectorStringProperty with a property editor class for the only RwiElement (RwiReference).
`protected` | `RwiInspectorStringProperty(RwiPropertyMap[] rwiPropertyMaps, String propertyName, Class valueType, Class editorClass)` Constructs RwiInspectorProperty with a property editor class.

Method Summary
`boolean` | `canSetValue(Object value)` Checks whether it is possible to set specified value to this property.
`protected void` | `loadValue()` Loads property value of selected RwiElements (RwiReferences) from RwiModel and stores it.
`protected void` | `storeValue()` Stores property value of selected RwiElements (RwiReferences) to RwiModel.

Methods inherited from class com.togethersoft.openapi.ide.inspector.util.property.RwiInspectorProperty
`enforceReadOnly, getValue, isDeleted, isReadable, isWritable, setValue, update`

Methods inherited from class com.togethersoft.openapi.ide.inspector.IdeInspectorProperty
`addPropertyChangeListener, firePropertyChange, getPropertyEditor, getValueType, removePropertyChangeListener, setPropertyEditor`

Methods inherited from class java.beans.FeatureDescriptor
`getName, setName, getDisplayName, setDisplayName, isExpert, setExpert, isHidden, setHidden, isPreferred, setPreferred, getShortDescription, setShortDescription, setValue, getValue, attributeNames`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, clone, toString, notify, notifyAll, wait, wait, wait, finalize`

Constructor Detail

### RwiInspectorStringProperty

    public RwiInspectorStringProperty(RwiPropertyMap[] rwiPropertyMaps, String propertyName)

  Constructs RwiInspectorStringProperty without a property editor class.
  Parameters:
    rwiPropertyMaps - Array of selected RwiElements or RwiReferences
    propertyName - Name of property of selected elements

### RwiInspectorStringProperty

    public RwiInspectorStringProperty(RwiPropertyMap[] rwiPropertyMaps, String propertyName, Class editorClass)

  Constructs RwiInspectorStringProperty with a property editor class.
  Parameters:
    rwiPropertyMaps - Array of selected RwiElements or RwiReferences
    propertyName - Name of property of selected elements
    editorClass - Class which will be used as the editor for this property

### RwiInspectorStringProperty

    public RwiInspectorStringProperty(RwiPropertyMap rwiPropertyMap, String propertyName)

  Constructs RwiInspectorStringProperty without a property editor class for the only RwiElement (RwiReference).
  Parameters:
    rwiPropertyMap - Selected RwiElement or RwiReference
    propertyName - Name of property of selected elements

### RwiInspectorStringProperty

    public RwiInspectorStringProperty(RwiPropertyMap rwiPropertyMap, String propertyName, Class editorClass)

  Constructs RwiInspectorStringProperty with a property editor class for the only RwiElement (RwiReference).
  Parameters:
    rwiPropertyMap - Selected RwiElement or RwiReference
    propertyName - Name of property of selected elements
    editorClass - Class which will be used as the editor for this property

### RwiInspectorStringProperty

    protected RwiInspectorStringProperty(RwiPropertyMap[] rwiPropertyMaps, String propertyName, Class valueType, Class editorClass)

  Constructs RwiInspectorProperty with a property editor class.
  Parameters:
    rwiPropertyMaps - Array of selected RwiElements or RwiReferences
    propertyName - Name of property of selected elements
    valueType - Class which is the type of property value
    editorClass - Class which will be used as the editor for this property

Method Detail

### canSetValue

    public boolean canSetValue(Object value)

  Checks whether it is possible to set specified value to this property.
  Parameters:
    object - Value to be checked
  Returns: true if so, false otherwise

### loadValue

    protected void loadValue()

  Loads property value of selected RwiElements (RwiReferences) from RwiModel and stores it.

### storeValue

    protected void storeValue()

  Stores property value of selected RwiElements (RwiReferences) to RwiModel.

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD